#ifndef __DETECT_H__
#define __DETECT_H__

#include <sys/time.h>

struct detect_t;

struct detect_device_t {
	unsigned short idVendor;
	unsigned short idProduct;
};

typedef void (*detect_hotplug_cb_fn)(struct detect_device_t *device,
																		 void *user_data);

int detect_init(struct detect_t **handle);
void detect_exit(struct detect_t *handle);

int detect_handle_events_timeout(struct detect_t *handle, struct timeval *tv);

void detect_register_hotplug_listeners(struct detect_t *handle,
																			 detect_hotplug_cb_fn connected_cb,
																			 detect_hotplug_cb_fn disconnected_cb,
																			 void *user_data);


/***
// Libusbx implementation:

typedef void LIBUSB_CALL (*libusb_hotplug_cb_fn)(struct libusb_device *device, void *user_data);

int LIBUSB_CALL libusb_init(libusb_context **ctx);
void LIBUSB_CALL libusb_exit(libusb_context *ctx);
void LIBUSB_CALL libusb_set_debug(libusb_context *ctx, int level);
const char * LIBUSB_CALL libusb_strerror(enum libusb_error errcode);
const struct libusb_version * LIBUSB_CALL libusb_getversion(void);

void LIBUSB_CALL libusb_register_hotplug_listeners(libusb_context *ctx,
	libusb_hotplug_cb_fn connected_cb,
	libusb_hotplug_cb_fn disconnected_cb, void *user_data);
void LIBUSB_CALL libusb_unregister_hotplug_listeners(libusb_context *ctx);
int LIBUSB_CALL libusb_get_status(libusb_device *dev);

 ***/

#endif/*__DETECT_H__*/
