#include "detect.h"

#include <stdio.h>
#include <sys/time.h>

void attach_fn(struct detect_device_t *device, void *user_data)
{
	printf("attach\n");
	if(device) printf("  (%04x/%04x)\n", device->idVendor, device->idProduct);
}

void detach_fn(struct detect_device_t *device, void *user_data)
{
	printf("detach\n");
	if(device) printf("  (%04x/%04x)\n", device->idVendor, device->idProduct);
}


int main(int args, char* argv[])
{
	struct detect_t *handle;

	int ret = detect_init(&handle);
	if(ret != 0) {
		printf("Could not initialise handle.\n");
		return 1;
	}

	detect_register_hotplug_listeners(handle, attach_fn, detach_fn, NULL);

	// 100ms timeout
	struct timeval tv;
	tv.tv_sec = 0;
	tv.tv_usec = 100000;

  while(1) {
		int ret = detect_handle_events_timeout(handle, &tv);
		if(ret) printf("handle_events failed [%d]...\n", ret);
		printf("loop\n");
  }

	detect_exit(handle);

	return 0;
}
